KDE 4.9 PyKDE API Reference

- KDE's Python API

# KMessageBoxMessageHandler Class Reference

`from PyKDE4.kdeui import *`

Inherits: QObject,KMessageHandler

## Detailed Description

This is a convience KMessageHandler that use KMessageBox.

Author:
  Michaël Larouche <michael.larouche@kdemail.net>

## Methods

| __init__ (self, QWidget parent=0)
| message (self, KMessage.MessageType messageType, QString text, QString caption)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Create a new KMessageBoxMessageHandler

Parameters:

  | parent | Parent widget to use for the KMessageBox.

message | ( | self, |
|  | KMessage.MessageType | messageType,
|  | QString | text,
|  | QString | caption
| ) |  |  |

KMessageHandler.message